jasper-utils-1.900.1-22.el6.x86_64.rpm


Advertisement

Description

jasper-utils - Nonessential utilities for jasper

Property Value
Distribution CentOS 6
Repository CentOS x86_64
Package filename jasper-utils-1.900.1-22.el6.x86_64.rpm
Package name jasper-utils
Package version 1.900.1
Package release 22.el6
Package architecture x86_64
Package type rpm
Category Development/Libraries
Homepage http://www.ece.uvic.ca/~mdadams/jasper/
License JasPer
Maintainer -
Download size 18.54 KB
Installed size 25.59 KB
Nonessential utilities for jasper, including jiv and tmrdemo.

Alternatives

Package Version Architecture Repository
jasper-utils-1.900.1-22.el6.i686.rpm 1.900.1 i686 CentOS
jasper-utils - - -

Requires

Name Value
jasper = 1.900.1-22.el6
libGL.so.1()(64bit) -
libGLU.so.1()(64bit) -
libc.so.6(GLIBC_2.3.4)(64bit) -
libglut.so.3()(64bit) -
libjasper.so.1()(64bit) -
libjpeg.so.62()(64bit) -
libm.so.6()(64bit) -
libm.so.6(GLIBC_2.2.5)(64bit) -
rtld(GNU_HASH) -

Provides

Name Value
jasper-utils = 1.900.1-22.el6
jasper-utils(x86-64) = 1.900.1-22.el6

Download

Type URL
Mirror mirror.centos.org
Binary Package jasper-utils-1.900.1-22.el6.x86_64.rpm
Source Package jasper-1.900.1-22.el6.src.rpm

Install Howto

Install jasper-utils rpm package:

# yum install jasper-utils

Files

Path
/usr/bin/jiv
/usr/bin/tmrdemo
/usr/share/man/man1/jiv.1.gz

Changelog

2017-12-07 - Josef Ridky <jridky@redhat.com> - 1.900.1-22
- Resolves: #1455287 - fix issue with broken c++ standards
2017-04-25 - Josef Ridky <jridky@redhat.com> - 1.900.1-21
- Bump release
2017-04-24 - Josef Ridky <jridky@redhat.com> - 1.900.1-20
- Multiple security fixes (fixed by thoger):
CVE-2015-5203 CVE-2015-5221 CVE-2016-1577 CVE-2016-1867 CVE-2016-2089
CVE-2016-2116 CVE-2016-8654 CVE-2016-8690 CVE-2016-8691 CVE-2016-8692
CVE-2016-8693 CVE-2016-8883 CVE-2016-8884 CVE-2016-8885 CVE-2016-9262
CVE-2016-9387 CVE-2016-9388 CVE-2016-9389 CVE-2016-9390 CVE-2016-9391
CVE-2016-9392 CVE-2016-9393 CVE-2016-9394 CVE-2016-9560 CVE-2016-9583
CVE-2016-9591 CVE-2016-9600 CVE-2016-10248 CVE-2016-10249 CVE-2016-10251
- Fix implicit declaration warning caused by security fixes above
2015-01-19 - Jiri Popelka <jpopelka@redhat.com> - 1.900.1-19
- CVE-2014-8157 - dec->numtiles off-by-one check in jpc_dec_process_sot() (#1183672)
- CVE-2014-8158 - unrestricted stack memory use in jpc_qmfb.c (#1183680)
2014-12-12 - Jiri Popelka <jpopelka@redhat.com> - 1.900.1-18
- CVE-2014-8137 - double-free in in jas_iccattrval_destroy (#1173567)
- CVE-2014-8138 - heap overflow in jp2_decode (#1173567)
2014-12-06 - Jiri Popelka <jpopelka@redhat.com> - 1.900.1-17
- CVE-2014-9029 - incorrect component number check in COC, RGN and QCC
marker segment decoders (#1171209)
2011-10-26 - Jiri Popelka <jpopelka@redhat.com> - 1.900.1-16
- CERT VU#887409: heap buffer overflow flaws lead to arbitrary code execution
(#749150)
2010-03-02 - Jiri Popelka <jpopelka@redhat.com> - 1.900.1-15
- Move documentation from libs subpackage to main package
2009-10-29 - Rex Dieter <rdieter@fedoraproject.org> - 1.900.1-14
- add pkgconfig support
2009-10-13 - Rex Dieter <rdieter@fedoraproject.org> - 1.900.1-13
- CVE-2008-3520 jasper: multiple integer overflows in jas_alloc calls (#461476)
- CVE-2008-3522 jasper: possible buffer overflow in 
jas_stream_printf() (#461478)

See Also

Package Description
java-1.5.0-gcj-1.5.0.0-29.1.el6.x86_64.rpm JPackage runtime compatibility layer for GCJ
java-1.5.0-gcj-devel-1.5.0.0-29.1.el6.x86_64.rpm JPackage development compatibility layer for GCJ
java-1.5.0-gcj-javadoc-1.5.0.0-29.1.el6.x86_64.rpm API documentation for libgcj
java-1.5.0-gcj-src-1.5.0.0-29.1.el6.x86_64.rpm Source files for libgcj
java-1.6.0-openjdk-1.6.0.41-1.13.13.1.el6_8.x86_64.rpm OpenJDK Runtime Environment
java-1.6.0-openjdk-demo-1.6.0.41-1.13.13.1.el6_8.x86_64.rpm OpenJDK Demos
java-1.6.0-openjdk-devel-1.6.0.41-1.13.13.1.el6_8.x86_64.rpm OpenJDK Development Environment
java-1.6.0-openjdk-javadoc-1.6.0.41-1.13.13.1.el6_8.x86_64.rpm OpenJDK API Documentation
java-1.6.0-openjdk-src-1.6.0.41-1.13.13.1.el6_8.x86_64.rpm OpenJDK Source Bundle
java-1.7.0-openjdk-1.7.0.181-2.6.14.10.el6.x86_64.rpm OpenJDK Runtime Environment
java-1.7.0-openjdk-demo-1.7.0.181-2.6.14.10.el6.x86_64.rpm OpenJDK Demos
java-1.7.0-openjdk-devel-1.7.0.181-2.6.14.10.el6.x86_64.rpm OpenJDK Development Environment
java-1.7.0-openjdk-javadoc-1.7.0.181-2.6.14.10.el6.noarch.rpm OpenJDK API Documentation
java-1.7.0-openjdk-src-1.7.0.181-2.6.14.10.el6.x86_64.rpm OpenJDK Source Bundle
java-1.8.0-openjdk-1.8.0.171-8.b10.el6_9.x86_64.rpm OpenJDK Runtime Environment
Advertisement
Advertisement